Subject: Screen plantings suggestions?

From: [email-masked] (KLMF)
Date: 3 Apr 1995 12:42:32 -0400

I just bought a new house and we move in the first of May.  The house is a
year old and there is *no* landscaping in the front, which is a southern
exposure.   Would love some ideas for quick growing shade trees.   Also,
very important, on the west  side of the house the neighbors have a great
view of our back yard.   What do you recommend as a fast growing, tall
(20ft min at maturity) preferably evergreen plant to block the view?
Karen F.